import request from '@/utils/request'

// 查询APP版本管理列表
export function listVersion(query) {
  return request({
    url: '/mapi/app/version/list',
    method: 'get',
    params: query
  })
}

// 查询APP版本管理详细
export function getVersion(id) {
  return request({
    url: '/mapi/app/version/' + id,
    method: 'get'
  })
}

// 新增APP版本管理
export function addVersion(data) {
  return request({
    url: '/mapi/app/version',
    method: 'post',
    data: data
  })
}

// 修改APP版本管理
export function updateVersion(data) {
  return request({
    url: '/mapi/app/version',
    method: 'put',
    data: data
  })
}

// 删除APP版本管理
export function delVersion(id) {
  return request({
    url: '/mapi/app/version/' + id,
    method: 'delete'
  })
}


// 修改APP版本管理状态
export function updateVersionStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/mapi/app/version/updateStatus',
    method: 'post',
    data: data
  })
}
